# Json-Yaml

Json-Yaml is a simple utility tool for yaml json conversion.
It convert automatically json to yaml or yaml to json depending on the input content and dump result into stdout.

### Installation:
1. Download Binary
- [windows](https://gitlab.bertha.cloud/partitio/lab/json-yaml/blob/master/dist/json-yaml.windows)
- [linux](https://gitlab.bertha.cloud/partitio/lab/json-yaml/blob/master/dist/json-yaml.linux)
- [osx](https://gitlab.bertha.cloud/partitio/lab/json-yaml/blob/master/dist/json-yaml.darwin)
2. Rename as `json-yaml` (or `json-yaml.exe` for Windows) and move inside your PATH.

### Usage examples (works both ways):
```bash
# Convert json from std in
echo '{"message": "ok", "failed": false}'|json-yaml

# Convert json from std in and send output to file
cat myfile.json|json-yaml > myfile.yml

# Convert file and send content to stdout
json-yaml myfile.json

# Use with Packer
cat packer.yaml|packer build -
```
